li{
    background-color: #F9F9F9;
    list-style: none;
    p{
        margin: 0;
    }
}
p.error_msg{
    color: red;
    font-size: 1em;
    margin: 0;
}
li:hover{
    background-color: #E2E2E2;
    margin-top: 2px;
    cursor: pointer;
}
ul{
    padding: 0;
}

div.module{
    border: 1px solid rgb(42, 71, 156);
    display: flex;
    div.form{
        border: 1px solid royalblue;
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        div.form_input{
            display: flex;
            flex-direction: column;
            justify-content:center;
            text-align:center;
            width: 100%;
            padding: 1% 0;
            span{
                display: flex;
                button{
                    cursor: pointer;
                    background: none;
                    border:none;
                }
                button.upd{
                    background-color: rgb(23, 168, 47);
                    border-radius: 0% 20% 20% 0%;
                    color: white;
                }
                button.add{
                    background-color:rgb(146, 105, 211);
                    border-radius: 0% 20% 20% 0%;
                    color: white;
                }
                button.del{
                    margin-left: 10px;
                    background-color:rgb(177, 64, 64);
                    border-radius: 50% 50% 50% 50%;
                    color: white;
                }
                button.paste{
                    background-color:rgb(152, 167, 23);
                    border-radius: 5px 5px 5px 5px;
                    color: white;
                }
                input{
                    width: 90%;
                }
            }
        }
    }
    div.display_list{
        display: flex;
    }
}
.focus{
    background-color: rgba(0, 255, 213, 0.301);
}

modal{
    display: flex;
    flex-direction: column;
    justify-content: center;
}
textarea{
    border: none;
    overflow: auto;
    outline: none;
    resize: none;
    background-color: whitesmoke;
}